image: php:7.4

before_script:
  - apt-get update -y
  - apt-get install -y --no-install-recommends git libzip-dev zip unzip libxml2-dev
  - docker-php-ext-install zip soap
  - pecl install pcov
  - docker-php-ext-enable pcov
  - curl -sS https://getcomposer.org/installer | php
  - php composer.phar install

tests:
  script:
    - vendor/bin/phpunit --coverage-text --colors=never
  only:
    - branches
  coverage: /^\s*Lines:\s*\d+.\d+\%/
  artifacts:
    paths:
      - code-coverage
    expire_in: 1d
